<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
	0 =>  'id_sup',
	1 => 'name_sup'
);

$sql = "SELECT id_sup, name_sup ";
$sql.=" FROM sup where `active_sup` = '0'";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "SELECT id_sup, name_sup ";
$sql.=" FROM sup where `active_sup` = '0'";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( id_sup LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR name_sup LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 

	$nestedData[] = $row["id_sup"];
	$nestedData[] = $row["name_sup"];
	$nestedData[] = "<button type='button' class='btn btn-danger' onclick=del_table_1('".$row['id_sup']."',4)>حذف</button>
	<button type='button' class='btn btn-success' onclick='get_sup(".$row['id_sup'].")'>تعديل</button>
";
	
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



